{"title":"Create salesInvoices (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_create_salesinvoice/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_salesinvoice, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_salesinvoice","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Create a sales invoice object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Create salesInvoices (v1.0)","slug":"create-salesinvoices-v10","at":0,"chars":1306},{"level":2,"title":"HTTP request (v1.0)","slug":"http-request-v10","at":81,"chars":214},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":295,"chars":109},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":404,"chars":100},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":504,"chars":135},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":639,"chars":372},{"level":2,"title":"Related information","slug":"related-information","at":1011,"chars":295}],"text":"# Create salesInvoices (v1.0)\nCreate a sales invoice object in Business Central.\n## HTTP request (v1.0)\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/salesInvoices\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body (v1.0)\nIn the request body, supply a JSON representation of a salesInvoices object.\n## Response (v1.0)\nIf successful, this method returns ```201 Created``` response code and a salesInvoices object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v1.0/companies({id})/salesInvoices\nContent-type: application/json\n\n{\n  \"id\": \"id-value\",\n  \"number\": \"1009\",\n  \"invoiceDate\": \"2015-12-31\",\n  \"customerNumber\": \"GL00000008\",\n  \"currencyCode\": \"GBP\",\n  \"paymentTermsId\": \"3bb5b4b6-ea4c-43ca-ba1c-3b69e29a6668\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\nSales Invoice<../resources/dynamics_salesinvoice>\nGet Sales Invoice<dynamics_salesinvoice_get>\nUpdate Sales Invoice<dynamics_salesinvoice_update>\nDelete Sales Invoice<dynamics_salesinvoice_delete>"}